# -*- coding: utf-8 -*-
# Copyright 2023 parkminwoo


from ExceptNotifier.utils.kakao_token import get_authorize_code, save_token

from ExceptNotifier.base.kakao_sender import send_kakao_msg
from ExceptNotifier.base.mail_sender import send_gmail_msg
from ExceptNotifier.base.slack_sender import send_slack_msg
from ExceptNotifier.base.telegram_sender import send_telegram_msg
from ExceptNotifier.base.chime_sender import send_chime_msg
from ExceptNotifier.base.discord_sender import send_discord_msg
from ExceptNotifier.base.line_sender import send_line_msg
from ExceptNotifier.base.teams_sender import send_teams_msg
from ExceptNotifier.base.whatsapp_sender import send_whatsapp_msg
from ExceptNotifier.base.sms_sender import send_sms_msg
from ExceptNotifier.base.beep_sender import beep
from ExceptNotifier.base.openai_receiver import receive_openai_advice

from ExceptNotifier.mail_notifier import SuccessMail, ExceptMail, SendMail
from ExceptNotifier.slack_notifier import SuccessSlcak, ExceptSlack, SendSlack
from ExceptNotifier.telegram_notifier import (
    SuccessTelegram,
    ExceptTelegram,
    SendTelegram,
)
from ExceptNotifier.chime_notifier import SuccessChime, ExceptChime, SendChime
from ExceptNotifier.discord_notifier import SuccessDiscord, ExceptDiscord, SendDiscord
from ExceptNotifier.kakao_notifier import SuccessKakao, ExceptKakao, SendKakao
from ExceptNotifier.line_notifier import SuccessLine, ExceptLine, SendLine
from ExceptNotifier.teams_notifier import SuccessTeams, ExceptTeams, SendTeams
from ExceptNotifier.sms_notifier import SuccessSMS, ExceptSMS, SendSMS
from ExceptNotifier.beep_notifier import SuccessBeep, ExceptBeep, SendBeep
from ExceptNotifier.wechat_notifier import SuccessWechat, ExceptWechat, SendWechat

__all__ = [
    "SuccessMail",
    "ExceptMail",
    "SendMail",
    "SuccessSlcak",
    "ExceptSlack",
    "SendSlack",
    "SuccessTelegram",
    "ExceptTelegram",
    "SendTelegram",
    "get_authorize_code",
    "save_token",
    "send_kakao_msg",
    "send_gmail",
    "send_slack_msg",
    "send_telegram_msg",
    "SuccessChime",
    "ExceptChime",
    "SendChime",
    "SuccessDiscord",
    "ExceptDiscord",
    "SendDiscord",
    "SuccessKakao",
    "ExceptKakao",
    "SendKakao",
    "SuccessLine",
    "ExceptLine",
    "SendLine",
    "SuccessTeams",
    "ExceptTeams",
    "SendTeams",
    "send_chime_msg",
    "send_discord_msg",
    "send_line_msg",
    "send_teams_msg",
    "send_whatsapp_msg",
    "SuccessSMS",
    "ExceptSMS",
    "SendSMS",
    "send_sms_msg",
    "SuccessBeep",
    "ExceptBeep",
    "SendBeep",
    "receive_openai_advice",
    "beep",
    "send_gmail_msg",
    "SuccessWechat",
    "ExceptWechat",
    "SendWechat",
]

__version__ = "0.1.9"
__author__ = "daniel park <parkminwoo1991@gmail.com>"
